# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit cmake-utils

EGIT_REPO_URI="https://github.com/kodi-pvr/pvr.hts"
if [[ "${PV}" = "9999" ]] ; then
	inherit git-r3
	EGIT_BRANCH="master"
elif [[ "${PV}" = "16.9999" ]] ; then
	inherit git-r3
	EGIT_BRANCH="Jarvis"
elif [[ "${PV}" = "17.9999" ]] ; then
	inherit git-r3
	EGIT_BRANCH="Krypton"
elif [[ "${PV}" = "18.9999" ]] ; then
	inherit git-r3
	EGIT_BRANCH="Leia"
else
	SRC_URI="https://github.com/kodi-pvr/pvr.hts/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
	MY_P="${P/kodi-pvr-hts/pvr.hts}"
	S="${WORKDIR}/${MY_P}"
fi

DESCRIPTION="Tvheadend Live TV and Radio PVR client addon for Kodi"
HOMEPAGE="https://github.com/kodi-pvr/pvr.hts"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE=""

DEPEND="=dev-libs/libplatform-2*
	=media-libs/kodi-platform-17*
	=media-tv/kodi-17*"
RDEPEND="${DEPEND}"
src_prepare(){
	eapply_user
}

src_configure() {
	local mycmakeargs=(
		-DCMAKE_INSTALL_LIBDIR="${EPREFIX}"/usr/lib64/kodi
	)

	cmake-utils_src_configure
}
