# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1
MY_PN="home-assistant"
DESCRIPTION="Open-source home automation platform running on Python 3"
HOMEPAGE="https://home-assistant.io/"
SRC_URI="https://github.com/$MY_PN/$MY_PN/archive/$PV.tar.gz -> ${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="tradfri xmpp zwave"

S="${WORKDIR}/${MY_PN}-${PV}"

DEPEND="=dev-python/requests-2.18.4
		>=dev-python/pyyaml-3.11
		>=dev-python/pytz-2017.2
		>=dev-python/jinja-2.9.6
		=dev-python/voluptuous-0.10.5
		>=dev-python/typing-3
		=dev-python/async_timeout-2.0.0
		=dev-python/yarl-0.15.0
		=dev-python/aiohttp-2.3.5
		=dev-python/chardet-3.0.4
		>=dev-python/certifi-2017.4.17
		=dev-python/pyjwt-1.5.3
		=dev-python/astral-1.4.1

		tradfri? ( =dev-python/pytradfri-5.2.0 )
		xmpp? (
		       dev-python/pyasn1
			   dev-python/pyasn1-modules
			   >=dev-python/dnspython-1.15
			  )
		zwave? (
		        =dev-python/pydispatcher-2.0.5
		       )
		"

RDEPEND="${DEPEND}
"
